2

According to an old MSDN article (from the SQL Server 2008 R2 era), Microsoft SQL Server transactional replication subscribers need to be within two versions of the publisher. Does this hold true for more recent versions (i.e. 2012 & 2014)?

I've been unable to find current recent documentation on this.

3

Yes, this still holds true. It is covered in Upgrade Replicated Databases in the SQL Server 2014 documentation.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.